Get research detail

View as Markdown
Returns one research detail for an entity.

Authentication

AuthorizationBearer

User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key

OR
X-API-Keystring

Admin API key for system-to-system write operations

OR
X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

entityIdstringRequiredformat: "uuid"
Canonical entity UUID.
detailIdintegerRequired
Research detail id.

Response

OK
entityIdstringformat: "uuid"
Canonical entity UUID
idinteger
typeResearchDetailstring
valueTypeenum
Output kind for governed research detail values
asOfDatedatetime or nullOptional
createdAtdatetime or nullOptional
creatorstring or nullOptional
dataConfidenceenum or nullOptional

Confidence tier stored verbatim in res_entity_detail.data_confidence.

derivedRangeobject or nullOptionalRead-only

Read-only range derived only for targetDateAbsolute detail rows

discreteValuedouble or nullOptional
textValuestring or nullOptional
updatedAtdatetime or nullOptional
valueResearchDetailstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error